# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, inputs, lib, outputs, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot = {
    extraModulePackages = [ ];
    initrd.availableKernelModules = [ "nvme" "xhci_pci" "usb_storage" "sd_mod" ];
    initrd.kernelModules = [ ];
    kernelModules = [ "kvm-amd" ];
    zfs.extraPools = [ "data" ];
  };

  fileSystems."/srv/caladan/downloads" = {
    device = "/data/home/nipsy/downloads";
    fsType = "none";
    options = [
      "bind"
      "noauto"
    ];
  };

  fileSystems."/srv/caladan/www" = {
    device = "/data/home/nipsy/www";
    fsType = "none";
    options = [
      "bind"
      "noauto"
    ];
  };

  fileSystems."/srv/nfs/keepers" = {
    device = "/data/home/nipsy/downloads/keepers";
    fsType = "none";
    options = [
      "bind"
      "noauto"
    ];
  };

  fileSystems."/srv/nfs/movies" = {
    device = "/data/home/nipsy/downloads/movies";
    fsType = "none";
    options = [
      "bind"
      "noauto"
    ];
  };

  fileSystems."/srv/nfs/tv" = {
    device = "/data/home/nipsy/downloads/tv";
    fsType = "none";
    options = [
      "bind"
      "noauto"
    ];
  };
}
